### Type parameters

### Hierarchy

- GmfLayerWMS

## Index

### Properties

- childLayers
- dimensions
- dimensionsFilters
- editable
- id
- layers
- maxResolutionHint
- metadata
- minResolutionHint
- name
- ogcServer
- style
- time
- type

## Properties

### childLayers

childLayers: GmfLayerChildLayer[]

- Defined in src/themes.js:127

### dimensions

dimensions: Object

- Defined in src/themes.js:122

(GmfLayer)

### dimensionsFilters

dimensionsFilters: Object

- Defined in src/themes.js:123

(GmfLayer)

### editable

editable: boolean

- Defined in src/themes.js:124

(GmfLayer)

### id

id: number

- Defined in src/themes.js:119

(GmfBaseNode)

### layers

layers: string

- Defined in src/themes.js:128

The comma separated list of WMS layers or groups.

### maxResolutionHint

maxResolutionHint: number

- Defined in src/themes.js:129

The max resolution where the layer is visible.

### metadata

metadata: GmfMetaData

- Defined in src/themes.js:120

(GmfBaseNode)

### minResolutionHint

minResolutionHint: number

- Defined in src/themes.js:130

The min resolution where the layer is visible.

### name

name: string

- Defined in src/themes.js:121

(GmfBaseNode)

### ogcServer

ogcServer: string

- Defined in src/themes.js:131

### style

style: string

- Defined in src/themes.js:125

(GmfLayer)

### time

time: TimeProperty

- Defined in src/themes.js:132

The time information if the layer directly manage it, see also `{GmfGroup.time}`.

### type

type: string

- Defined in src/themes.js:126

(GmfLayer)

Generated using TypeDoc